%define name ypserv
%define version 1.3.9
%define release 3mdk

Summary: The NIS (Network Information Service) server.
Summary(de): NIS/YP-Server
Summary(fr): Serveur NIS/YP.
Summary(tr): NIS/YP Sunucusu
Url: http://www-vt.uni-paderborn.de/~kukuk/linux/nis.html
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GNU
Group: System/Servers
Source0: ftp://ftp.us.kernel.org/pub/linux/utils/NIS/ypserv-%{PACKAGE_VERSION}.tar.bz2
Source1: ypserv-ypserv.init
Source2: ypserv-yppasswdd.init
Requires: portmap tcp_wrappers
Prereq: /sbin/chkconfig
Buildroot: /var/tmp/%{name}-%{version}-root/
Patch0: patch-ypMakefile.bz2
Patch1: ypserv-Makefile.patch.bz2
Obsoletes: yppasswd

%description
The Network Information Service (NIS) is a system which provides network
information (login names, passwords, home directories, group information)
to all of the machines on a network.  NIS can enable users to login on
any machine on the network, as long as the machine has the NIS client
programs running and the user's password is recorded in the NIS passwd
database.  NIS was formerly known as Sun Yellow Pages (YP).

This package provides the NIS server, which will need to be running on
your network.  NIS clients do not need to be running the server.

Install ypserv if you need an NIS server for your network.  You'll also
need to install the yp-tools and ypbind packages onto any NIS client
machines.

%description -l de
ypserv ist eine Implementierung des NIS/YP-Netzwerkprotokolls.
Es ermglicht die netwerkweite Verteilung von Hostname, Benutzername
und anderen Information. Dies ist der NIS-Server und wird auf NIS-
Clients nicht bentigt.

%description -l fr
ypserv est une implantation du protocole rseau NIS/YP standard.
Il permet une distribution,  l'chelle du rseau, du nom de la machine,
du nom de l'utilisateur et des autres bases de donnes d"informations.
Il s'agit du serveur NIS et n'est pas ncessaire sur les clients NIS.

%description -l tr
ypserv, standart NIS/YP a protokolnn bir uygulamasdr. Bu sunucu ile makina
ad, kullanc ismi gibi bilgiler a apnda datlabilir ve bir dizi makina
zerinde e olmas salanabilir. Bu paket sadece sunucuyu iermektedir, bu
hizmetten yararlanacak olan istemci makinalarda bulunmas gerekmez.


%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
cp etc/README etc/README.etc
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
	--enable-tcp-wrapper --enable-fqdn --enable-yppasswd 
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr YPMAPDIR=$RPM_BUILD_ROOT/var/yp \
	CONFDIR=$RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m644 etc/ypserv.conf $RPM_BUILD_ROOT/etc
install -m755 $RPM_SOURCE_DIR/ypserv-ypserv.init $RPM_BUILD_ROOT/etc/rc.d/init.d/ypserv
install -m755 $RPM_SOURCE_DIR/ypserv-yppasswdd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/yppasswdd


%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ypserv
/sbin/chkconfig --add yppasswdd

%triggerpostun -- ypserv <= ypserv-1.3.0-2
/sbin/chkconfig --add ypserv

%trigerpostun -- yppasswd
/sbin/chkconfig --add yppasswdd

%postun
if [ $1 = 0 ]; then
	/sbin/chkconfig --del ypserv
	/sbin/chkconfig --del yppasswdd
fi
 
%files
%defattr(-,root,root)
%doc README README.secure INSTALL ChangeLog TODO
%doc etc/ypserv.conf etc/securenets etc/README.etc
%config /etc/ypserv.conf
%config /var/yp/*
%dir /var/yp
%config /etc/rc.d/init.d/*
/usr/lib/yp
/usr/sbin/*
/usr/man/man5/*
/usr/man/man8/*
/usr/include/*/*

%changelog

* Thu Mar 30 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.9-3mdk
- fix group
- use spechelper (resulting in spec cleanups)

* Mon Dec 6	1999 Philippe Libat <philippe@mandrakesoft.com>

- Added Makefile patch
- Spec modification

* Wed Oct 27 1999 Francis Galiegue <francis@mandrakesoft.com>

- Updated to 1.3.9 - fixes numerous security bugs
- export shadow map but set MERGE_(PASSWD|GROUP) to false

* Fri Jul 30 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- Updated to 1.3.7

* Sun Jul 18 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.3.6.94

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Fri Mar 26 1999 Cristian Gafton <gafton@redhat.com>
- version 1.3.6.91

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Mon Feb  8 1999 Bill Nottingham <notting@redhat.com>
- move to start before ypbind

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1
- upgraded to 1.3.5

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- yppasswd.init: lock file must have same name as init.d script, not daemon

* Sat Jul 11 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.3.4
- fixed the fubared Makefile
- link against gdbm instead of ndbm (it seems to work better)

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.3.1
- enhanced init scripts

* Fri May 01 1998 Jeff Johnson <jbj@redhat.com>
- added triggerpostun
- Use libdb fro dbp_*().

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Apr 13 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.3.0

* Wed Dec 03 1997 Cristian Gafton <gafton@redhat.com>
- updated to 1.2.5
- added buildroot; updated spec file
- added yppasswdd init file

* Tue Nov 04 1997 Erik Troan <ewt@redhat.com>
- init script shouldn't set the domain name

* Tue Oct 14 1997 Erik Troan <ewt@redhat.com>
- supports chkconfig
- updated initscript for status and restart
- turned off in all runlevels, by default
- removed postinstall script which didn't do anything

* Thu Oct 09 1997 Erik Troan <ewt@redhat.com>
- added patch to build against later glibc

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Wed Apr 23 1997 Erik Troan <ewt@redhat.com>
- updated to 1.1.7.

* Fri Mar 14 1997 Erik Troan <ewt@redhat.com>
- Updated to ypserv 1.1.5, ported to Alpha (glibc).

* Fri Mar 07 1997 Erik Troan <ewt@redhat.com>
- Removed -pedantic which confuses the SPARC :-(
